*{
    box-sizing: border-box;
}
html{
    font-family: Proxima Nova,-apple-system,Helvetica Neue,Helvetica,Roboto,Arial,sans-serif;
    background: #c6c6c6;
}

*, *::before, *::after{
    box-sizing: inherit;
}
:root{
    --colorTexto:#49454567;
}
::before,
::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}
.ocultar{
    display: none;
}
.idusuario{
    display: none;
}

/*---------------- estado del articulo -----------------*/
.contendorestado{
  	width: 480px;
    height: 30px;
  	font-size: 16px;
    padding-left:8px;
    margin-right: 5px;
    display: flex;
    margin: auto;
}
.tituloestado{
    color: #0077ff;
    position: relative;
    display: inline-block;
    top:-12px;
}
.formulario .radio input[type="radio"]{
    display: none;
}
.formulario .radio label{
    color: #0077ff;
    padding: 5px 10px 5px 40px;
    position: relative;
    display: inline-block;
    border-radius: 3px;
    cursor: pointer;
}
.formulario .radio label:hover{
    background: rgb(1, 90, 255,.2);
}
.formulario .radio label:before{
    content: "";
    width: 17px;
    height: 17px;
    display: inline-block;
    background: none;
    border: 2px solid #0077ff;;
    border-radius: 50%;
    position: absolute;
    left: 10px;
}
.formulario input[type="radio"]:checked +label:before{
    background: #00ff0d;
}

/*---------------- garantia del articulo -----------------*/
.contendorgarantia{
  	width: 450px;
    height: 58px;
    background: #ffffff;
  	font-size: 16px;
    padding-left:5px;
    margin-right:10px;
    display: flex;
    /*margin: auto;*/
    border: 1px solid rgba(0, 0, 0, 0.4);
    border-radius: 6px;
    margin-left: 5px;
    margin-bottom: 10px;
}
.titulogarantia{
    color: #0077ff;
    position: relative;
    display: inline-block;
    top:-6px;
    margin-right:15px;
}
.formulario .radiogarantia input[type="radio"]{
    display: none;
}
.formulario .radiogarantia label{
    color: #0077ff;
    padding: 5px 10px 5px 40px;
    position: relative;
    display: inline-block;
    border-radius: 3px;
    cursor: pointer;
}
.formulario .radiogarantia label:hover{
    background: rgb(1, 90, 255,.2);
}
.formulario .radiogarantia label:before{
    content: "";
    width: 17px;
    height: 17px;
    display: inline-block;
    background: none;
    border: 2px solid #0077ff;;
    border-radius: 50%;
    position: absolute;
    left: 10px;
}
.formulario .radiogarantia input[type="radio"]:checked +label:before{
    background: #ff0000;
}
/*input:focus~.barra::before{*/
    
/*-------- DISEÑO DEL ENCABEZADO Y EL LOGO ---------- */
.encabezado{
    width: 100%;
    margin: 0px;
    padding-top: 3px;
    height: 46px;
    background: #ffffff;
    /*background-color:rgb(59, 59, 36);*/
}

.barramenu1{
    width: 100%;
    height: 46px;
    background: rgb(255, 238, 0);
/*    background-color:rgb(255, 251, 0);*/
    display: flex;
    float: left;
}
.logo{
    width: 230px;
    margin-left: 50px;
    margin-right: 50px;
    float: left;
}
.contebtnmenuprincipal{
    width: 120px;
    height: 20px;
    text-align: center;
    border-radius: 5px;
    margin-top: 8px;
    margin-left: 1000px;
    padding:5px;
    background: #ff0000;
}
.btnmenuprincipal{
    font-size: 16px;
    text-decoration: none;
    color: rgb(255, 255, 255);
}
.contebtnmenuprincipal:hover{
    background: #f59696;
    cursor: pointer;
}


.contenidogeneral{
    width: 80%;
    height: 690px;
    border-radius: 10px;
    margin:5px auto;
    background: #ffffff;
    border: 1px solid rgb(255,255,255, .4);
    padding: 0;
    display: flex;
}
.formulario{
    width: 99%;
    height: 648px;
    border-radius: 10px;
    margin:2px auto;
    background: #ffffff;
    padding: 0px;
}

.titulovender{
    width: 100%;
    text-align: center;
    margin: auto;
    position: relative;
}
.textotitulo{
    font-size: 25px;
    color: #0077ff;
    background: #ffffff;
}
.textosubtitulo{
    font-size: 14px;
    color: #0077ff;
    background: #ffffff;
}
/*-------------------cerrar ventana --------------*/
.btncerrar{
    width: 20px;
    height: 20px;
    margin: auto;
    float: right;
    position: relative;
    text-align: center;
    top: 5px;
    right: 5px;
}
.btncerrara{
    font-size: 16px;
    font: bold;
    text-decoration: none;
    transition: transform 0.5s;
}
.btncerrara:hover{
    transform: scale(1.5);
    color: red;
    display: block;
    cursor: pointer;
}
.contdatosimagenes{
    width: 100%;
    height: 515px;
    border-radius: 10px;
    margin:0px auto;
    justify-content: center;
    background: #ffffff;
    top:-20px;
    position: relative;
}
.contdatosimagenes .contenidodatos{
    background: #ffffff;
    box-shadow: 0px 0px 10px rgb(0,0,0, .50);
}
.contdatosimagenes .contenidoimagenes{
    background: #ffffff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}
/*-------------------- contenedor contenido datos -------------------*/
.contenidodatos{
    width: 66%;
    height: 540px;
    border-radius: 10px;
    float: left;
    margin:10px 23px;
    background: #ffffff;
    padding-left: 10px;
}

.titulocontenidodatos{
    width: 300px;
    font-size: 18px;
    border-radius: 6px;
    color: #ffffff;
    background: #0077ff;
    text-align: center;
    justify-content:space-around;
    margin: 0 auto;
}
/*----------------------- nombre comercial --------------------*/
.articuloavender,.factura, .contpalabrasclaves, .contdireccion, .conttelefonos, .contcorreos, .conthorario, .contpaginaweb{
	width: 100%;
	height: 30px;
    padding-left:8px;
    margin-bottom: 3px;
    display: flex;
}
.textoarticulo{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
    margin-left: 80px;
}
.narticulo{
	width: 70%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
    float: left;
}
.factura{
	width: 100%;
	height: 30px;
    padding-left:8px;
    margin-bottom: 3px;
    display:none;
}
.textofactura{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
    margin-left: 128px;
}
.nfactura{
	width: 10%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
    float: left;
}
/*-------------------------- CATEGORIAS --------------------*/
.contcategorias{
    width: 100%;
    height: 30px;
    padding-left:8px;
    margin-bottom: 3px;
    display: flex;
}
.ncategorias{
    position: relative;
    display: block;
    width: 67%;
    padding: 5px;
    font-size: 16px;
    border: 1px solid #ccc;
    float: left;
}
.categorias{
    position: relative;
    width: 9px;
    padding: 5px;
    font-size: 16px;
    float: left;
}
.textoct{
    display: block;
    color: #0099ff;
    font-size: 18px;
    padding: 3px;
    margin-left: 118px;
}
.ayudapalabrasclaves{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    float: left;
    background: #0099ff;
    margin: auto;
    text-align: center;
    justify-content: center;
}
.textoayudapalabrasclaves{
    font-size: 18px;
    color: #ffffff;
}
.ayudapalabrasclaves:hover{
    background: rgb(0, 4, 255);
    cursor: pointer;
}
/*----------------------PALABRAS CLAVES--------------------*/
.textopalabrasclaves{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
}
.palabrasclaves{
	width: 70%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
}
/*---------------------- DIRECCION COMERCIAL --------------------*/
.textodireccion{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
    margin-left: 71px;
}
.direccion{
	width: 70%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
}
/*---------------------- TELEFONOS --------------------*/
.textotelefonos{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
    margin-left: 142px;
}
.telefonos{
	width: 70%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
}
/*---------------------- CORREOS --------------------*/
.textocorreos{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
    margin-left: 161px;
}
.correos{
	width: 70%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
}
/*---------------------- HORARIO DE ATENCION AL PUBLICO --------------------*/
.textohorario{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
    margin-left: 70px;
}
.horario{
	width: 70%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
}
/*---------------------- TIENES PAGINA WEB --------------------*/
.textopaginaweb{
	font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
    padding: 3px;
    margin-left: 74px;
}
.paginaweb{
	width: 70%;
	padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
    border: 1px solid #ccc;
	font-size: 16px;
}
/*---------------------- CONTENDOR DOMICILIOS Y DESPACHOS--------------------*/
.contdomiciliosdespachos{
    width: 70%;
    height: 20px;
    margin-left: 225px;
    margin-bottom: 8px;
}
.domicilios, .despachos{
    font-size: 16px;
    line-height: 22px;
    color: rgb(0, 110, 255);
    display: inline-block;
}
.domicilios:hover, .despachos:hover{
    font-size: 20px;
}
.despachos{
    margin-left: 30px;
}
/*-------------------------- departamentos y municipios --------------------*/
.contdepartamentos{
    width: 100%;
    height: 30px;
    padding-left:8px;
    margin-bottom: 5px;
    display: flex;
}
.ndepartamento{
    position: relative;
    display: block;
    width: 67%;
    padding: 5px;
    font-size: 16px;
    border: 1px solid #ccc;
    float: left;
}
.nmunicipio{
    position: relative;
    display: block;
    width: 67%;
    padding: 5px;
    font-size: 16px;
    float: left;
}
.departamentos{
    position: relative;
    width: 9px;
    padding: 5px;
    font-size: 16px;
    float: left;
}
.contmunicipios{
    width: 100%;
    height: 30px;
    padding-left:8px;
    margin-bottom: 3px;
    display: flex;
}
.municipios{
    position: relative;
    width: 9px;
    padding: 5px;
    font-size: 16px;
    border: 1px solid #ccc;
    float: left;
}
.municipios:hover{
    cursor: pointer;
}
.foninput{
    display: block;
    padding: 5px 0;
	box-sizing:border-box;
	text-indent: 2px;
	border-width: 1px;
	font-size: 16px;
    border: 1px solid #ccc;
}
.textodp{
    display: block;
    color: #0099ff;
    font-size: 18px;
    padding: 3px;
    margin-left: 92px;
}
.textomp{
    display: block;
    color: #0099ff;
    font-size: 18px;
    padding: 3px;
    margin-left: 130px;
}
/*----------------------------DESCRIPCION GENERAL ------------------*/
.contdescripcion{
    width: 97%;
    height: 90px;
    background: rgb(255, 255, 255);
    margin: auto;
    text-align: center;
}
.textodescripcion{
    color: #0099ff;
    font-size: 18px;
}
.textoarea{
    border: 1px solid #ccc;
}
/*
<div class="contdescripcion">
        <label for="descripcion" class="textodescripcion">Descripción General</label><br>
        <div class="descripcionarea">
*/
/*---------------------- CONTENEDOR DE IMAGENES -----------*/
.contenidoimagenes{
    width: 26%;
    height: 500px;
    border-radius: 10px;
    float: left;
    margin:10px 20px;
    background: #ffffff;
}
.titulocontenidoimagenes{
    width: 290px;
    font-size: 18px;
    border-radius: 6px;
    color: #ffffff;
    background: #0077ff;
    text-align: center;
    justify-content:space-around;
    margin: 0 auto;
 }
.subtitulocontenidoimagenes{
    width: 300px;
    font-size: 12px;
    color: #0077ff;
    text-align: center;
    justify-content:space-around;
    margin: 0 auto;
}

 .mostrarimagen0{
	background:rgb(186, 206, 98);
	width: 200px;
	height: 350px;
	float: left;
	height: auto;
	/*margin: auto;*/
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin-top: 10px;
	/*padding: 20PX 20PX 20PX 20PX;*/
	border-radius: 10px;
    border: 1px solid;
	overflow: hidden;
}


/*-------------- configuracion de las imagenes del articulo ----------*/
.contenedorimagenes{
    width: 310px;
    height: 400px;
    padding: 0;
    background: rgb(255, 255, 255);
    display: flex;
    flex-wrap: wrap;
}
.mostrarimagen{
    float: left;
}
.subirimagen{
    width: 100px;
    height: 118px;
    background: rgb(255, 255, 255);
    margin: 5px 25px;
    padding: 2px;
    justify-content:center;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    position:relative;
}
.inputimagen{
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 90%;
    height: 90%;
    opacity: 0;
    background: #0077ff;
    cursor: pointer;
}

.subirimagen img{
	width: 100px;
	height: 105px;
	object-fit: contain;
    margin: auto;
}
.imagenpreview0{
	width: 100px;
	height:105px;
    background: rgb(255, 255, 255);
    object-fit: contain;
    margin: auto;
}
.fotonumero{
    font-size: 10px;
    color: #0077ff;
}
.subirimagen .borrarimagen{
	font-size: 10px;
    top: -6x;
	border-radius: 3px;
	border: 1px solid;
	float: right;
}
.borrarimagen:hover{
	background: rgb(253, 1, 1);
    cursor: pointer;
}


/*---------------------- boton grabar -----------------------*/
.grabar{
    width:100%;
    height: 40px;
    background: rgb(255, 255, 255);
    margin: 0px;
    position: relative;
    display: flex;
}
.btnsubmit{
    width: 160px;
    margin: 0px auto;
    text-align: center;
    padding: 5px 10px;
    border-radius: 6px;
    border: hidden;
    color: rgb(255, 255, 255);
    background: rgb(1, 90, 255);
}
.btnsubmit:hover{
    background: rgb(56, 116, 230);
}
/*--------------------- ventana emergente ayuda palabras claves--------------*/
.ventanaemergentepv{
    width: 35%;
    height: 300px;
    z-index: 1000;
    top: 35%;
    left: 34%;
    border-radius: 10px;
    color: #000000;
    position: fixed;
    display: none;
    transition: transform .3s;
    background: #fcfcfc;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.5);
    
}
.titulove{
    text-align: center;
    color: #0099ff;
}
.subtitulove{
    text-align: justify;
    font-size: 12px;
    margin: 0px;
    padding: 0px 20px 0px 20px;
}
.ej1ve, .ej2ve, .ej3ve{
    text-align: justify;
    font-size: 14px;
    padding: 0px 20px 0px 20px;
}

/*-------------------cerrar ventana--------------*/
.btncerrar{
    width: 20px;
    height: 20px;
    margin: auto;
    float: right;
    position: relative;
    text-align: center;
    top: 5px;
    right: 5px;
}
.btncerrara{
    font-size: 16px;
    font: bold;
    text-decoration: none;
    transition: transform 0.5s;
}
.btncerrara:hover{
    transform: scale(1.5);
    display: block;
    color: #ff0000;
    cursor: pointer;
}